class CreateMenuItemLangs < ActiveRecord::Migration[6.0]
  def change
    create_table :menu_item_langs do |t|
      t.references   :lang_site,   index: true
      t.string       :name
      t.string       :slug
      t.string       :permalink
      t.boolean      :enabled,   :default => false
      t.boolean      :visible,   :default => false
      t.references   :menu_item,   index: true
      t.references   :image_file,   index: true

      t.timestamps
    end
  end
end
